﻿using Plane.FormationCreator.Formation;
using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.CommandWpf;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace Plane.FormationCreator.ViewModels
{
    public class MapViewModel : ViewModelBase
    {
        public MapViewModel()
        {
            //var server = MapServer.Create(Reflection.Utils.GetResourcesUnder("views/map"));
            //server.Start();
            //HomePageUrl = server.HomePageUrl;
            //App.Current.Exit += (s, e) =>
            //{
            //    server.Stop();
            //    server.Close();
            //};
            HomePageUrl = "http://localhost:8080/Apps/HelloWorld.html";
            //HomePageUrl = "http://localhost:8080/index-old.html";
            //HomePageUrl = "http://www.google.com/maps";
        }

        public string HomePageUrl { get; private set; }

        private ICommand _StartMeasuringDistanceCommand;
        public ICommand StartMeasuringDistanceCommand
        {
            get
            {
                return _StartMeasuringDistanceCommand ?? (_StartMeasuringDistanceCommand = new RelayCommand(() =>
                {
                    AppEx.Current.AppMode = AppMode.MeasuringDistance;
                }));
            }
        }
    }
}
